Package org.eclipse.net4j.util.io

## Class ExtendedDataOutput.Stream

- java.lang.Object
- - java.io.OutputStream
  - - org.eclipse.net4j.util.io.ExtendedDataOutput.Stream

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`
  Enclosing interface:
    ExtendedDataOutput

      public static class ExtendedDataOutput.Stream
      extends java.io.OutputStream

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Stream​(ExtendedDataOutput delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `ExtendedDataOutput` | `getDelegate()` |
    `void` | `write​(int b)` |

    - ### Methods inherited from class java.io.OutputStream

      `flush, nullOutputStream, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stream

          public Stream​(ExtendedDataOutput delegate)

  - ### Method Detail

    - #### getDelegate

          public ExtendedDataOutput getDelegate()

    - #### write

          public void write​(int b)
                     throws java.io.IOException

      Specified by:
        `write` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.io.Closeable`
      Overrides:
        `close` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`